Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Mon, 26 Feb 2024 06:55:10 +0100

On Tue, Feb 20, 2024 at 02:39:19PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the usb tree got a conflict in:
> 
>   drivers/usb/roles/class.c
> 
> between commit:
> 
>   b787a3e78175 ("usb: roles: don't get/set_role() when usb_role_switch is unregistered")
> 
> from the usb.current tree and commit:
> 
>   9a270ec7bfb0 ("usb: roles: Link the switch to its connector")
> 
> from the usb tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Should now be fixed up in my usb-next branch, thanks!

greg k-h